package com.uas.account.service;

import com.uas.account.dao.UserLockDao;
import com.uas.account.entity.UserLock;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by wangmh on 2017/11/17.
 */
@Service
public class UserLockServiceImpl implements UserLockService {

    @Autowired
    private UserLockDao userLockDao;

    @Override
    public void save(UserLock userLock) {
        userLockDao.save(userLock);
    }

    @Override
    public UserLock getOneByUsername(String username) {
        return userLockDao.getOneByUsername(username);
    }
}
